%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:           jboss-metadata
Version:        8.0.0
Release:        1%{?dist}
Summary:        JBoss Metadata
License:        LGPLv2+
URL:            https://github.com/jboss/metadata
Source0:        https://github.com/jboss/metadata/archive/%{namedversion}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-release-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-checkstyle-plugin
BuildRequires:  jboss-parent
BuildRequires:  jboss-logging
BuildRequires:  hibernate-jpa-2.0-api
BuildRequires:  jboss-ejb-3.2-api
BuildRequires:  jboss-servlet-3.1-api
BuildRequires:  jboss-ejb3-ext-api
BuildRequires:  jboss-interceptors-1.2-api
BuildRequires:  hibernate-jpa-2.1-api
BuildRequires:  dos2unix
BuildRequires:  glassfish-jaxb
BuildRequires:  jboss-annotations-1.2-api

%description
This package contains JBoss Metadata for WildFly.

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n metadata-%{namedversion}

# Fix the line ending in the license file:
dos2unix common/LICENSE.txt

%build
# Skip tests - no test deps
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README
%doc common/LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc common/LICENSE.txt

%changelog
* Thu Feb 13 2014 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-1
- Upstream release 8.0.0.Final

* Mon Dec 16 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.4.Beta4
- Missing BR

* Mon Dec 16 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.3.Beta4
- Upstream release 8.0.0.Beta4

* Tue Jul 30 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.2.Beta2
- Upstream release 8.0.0.Beta2

* Wed Jun 05 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.1.Alpha3
- Upstream release 8.0.0.Alpha3
- New guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 7.0.1-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Tue Jul 24 2012 Juan Hernandez <juan.hernandez@redhat.com> - 7.0.1-3
- Added maven-enforcer-plugin build time dependency

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 22 2012 Juan Hernandez <juan.hernandez@redhat.com> 7.0.1-1
- Update to upstream version 7.0.1
- Cleanup of the spec file

* Wed Dec 14 2011 Marek Goldmann <mgoldman@redhat.com> 7.0.0-0.1.Beta32
- Initial packaging

